# Review Subscription Webhook

You can register your webhook endpoint for receiving ConsCent review subscription data i.e.(dropoff users) by logging in to your ConsCent Client Dashboard and navigating to the [Webhook Page](https://client.conscent.in/dashboard/webhook). You will be able to enable/disable and edit your webhook URL from this section. Once the webhook URL is registered and the webhook is in the enabled state - the endpoint will receive the user's review subscription data, anytime the user makes the payment for buying a subscription and comes to the review page on the client's platform or application via ConsCent.The review subscription webhook lets us keep the records of drop-off users. Moreover, the webhook is secured by basic auth using the Client's API Key and API Secret provided by ConsCent on the SDK Integration section of the client dashboard - [ConsCent Client Integration](https://client.conscent.in/dashboard/integration). You can optionally choose to keep the endpoint protected and authenticate using the provided credentials which are passed in the headers of the POST request to the configured webhook endpoint.

{% code title="Review Subscription JSON" overflow="wrap" %}

```json
{
   "phoneNumber": "9847598673",
  "userId": "6345116cb9beaf3033c065cc",
  "country": "IN",
  "hashedPhoneNumber": "eyJhbGciOiJIUzI1NiJ9.OTg0NzU5ODY3Mw.7tvT8abeu_sGEWSfKdgYRRo7oZ65qBwatyFIF1VOhGY",
  "address": {
    "apartment": "",
    "area": "",
    "pincode": "",
    "landmark": "",
    "city": "",
    "state": "",
    "country": ""
  },
  "name": "",
  "city": "defence colony",
  "location": {
    "latitude": 28.5714,
    "longitude": 77.2327
  },
  "browser": "Chrome",
  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36",
  "os": "Mac OS",
  "username": "9847598673",
  "subscriptionDetails": {
    "subscriptionId": "61e951161a563d0729652d21",
    "tierId": "61e951161a563d0729652d23",
    "title": "AD Free",
    "price": 600,
    "currency": "INR"
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/old-webhooks/review-subscription-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
